Bug 176944 - multiple crash bugs
Summary: multiple crash bugs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: chkconfig   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Ben Levenson
URL: http://cvsweb.openwall.com/cgi/cvsweb...
Whiteboard: bzcl34nup
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-04 16:32 UTC by Dmitry V. Levin
Modified: 2014-03-17 02:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-05 04:31:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/init.d/t1 (20 bytes, patch)
2006-01-04 16:34 UTC, Dmitry V. Levin
no flags Details | Diff
/etc/init.d/t1 (20 bytes, text/plain)
2006-01-04 16:35 UTC, Dmitry V. Levin
no flags Details
/etc/init.d/t2 (56 bytes, text/plain)
2006-01-04 16:37 UTC, Dmitry V. Levin
no flags Details
/etc/init.d/t3 (180 bytes, text/plain)
2006-01-04 16:38 UTC, Dmitry V. Levin
no flags Details

Description Dmitry V. Levin 2006-01-04 16:32:38 UTC
While looking at the chkconfig code I constructed three
different types of init scripts which cause chkconfig to segfault.

Hopefully chkconfig is not expected to handle untrusted data.

Comment 1 Dmitry V. Levin 2006-01-04 16:34:56 UTC
Created attachment 122763 [details]
/etc/init.d/t1

# chkconfig --list t1
Segmentation fault

Comment 2 Dmitry V. Levin 2006-01-04 16:35:13 UTC
Created attachment 122764 [details]
/etc/init.d/t1

# chkconfig --list t1
Segmentation fault

Comment 3 Dmitry V. Levin 2006-01-04 16:37:36 UTC
Created attachment 122765 [details]
/etc/init.d/t2

# LANG=POSIX chkconfig --list t2
*** glibc detected *** double free or corruption (fasttop): 0x08052268 ***
Aborted

Comment 4 Dmitry V. Levin 2006-01-04 16:38:33 UTC
Created attachment 122766 [details]
/etc/init.d/t3

# chkconfig --list t3
Segmentation fault

Comment 5 Dmitry V. Levin 2006-01-04 16:44:54 UTC
I made a patch for Owl that fixes these and similar bugs, see
http://cvsweb.openwall.com/cgi/cvsweb.cgi/Owl/packages/chkconfig/chkconfig-1.3.25-owl-fixes.diff

Besides of Owl-specific Makefile change and introduced checkUnprivileged()
check, this patch leaves original chkconfig logic unchanged.

Comment 6 Bug Zapper 2008-04-03 16:42:08 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 00:19:15 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Comment 8 Bug Zapper 2008-05-14 02:04:11 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bill Nottingham 2008-12-05 04:31:32 UTC
Incredibly lame, but fixed in 1.3.40-1 (with a different patch.) The gist is that chkconfig isn't operating on untrusted data - if you can write into that directory, you've already got root.

http://git.fedorahosted.org/git/?p=chkconfig.git;a=commitdiff;h=89877ab9c5333da199ad0f202325bb6bd36c75c3


Note You need to log in before you can comment on or make changes to this bug.